# Revoke a Profile

#### Description
Allows your application to revoke access to a specific profile.

Note that this does not affect the authorization as a whole, only your authorization to the specific profile. If you want to revoke all access to their account, you should instead call the [Revoke Authorization](/developers/api/authorization/revoke/index.md) endpoint.

#### URL format
```
{data_center_url}/v1/profiles/{profile_id}/revoke
```

#### Example Request
```http
POST /v1/profiles/pro_n23kjnwrw2/revoke HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {ACCESS_TOKEN}
```

#### Example Response
```http
HTTP/1.1 202 OK
```

#### Request parameters
##### `data_center_url` *(required)*

The URL for the data center you want to communicate with. Possible choices are:

- `api-au.cronofy.com` - Australia
- `api-ca.cronofy.com` - Canada
- `api-de.cronofy.com` - Germany
- `api-sg.cronofy.com` - Singapore
- `api-uk.cronofy.com` - United Kingdom
- `api.cronofy.com` - United States

Find out more about [Cronofy's data centers](/developers/data-centers/index.md).
##### `profile_id` *(required)*

This specifies the ID of the profile you wish to revoke access to, as an ASCII-only [`String`](/developers/api/data-types/index.md).

#### Error responses
##### 401 Unauthorized

The request was refused as the provided [authentication credentials](/developers/api/authorization/index.md) were not recognized.

When an OAuth `refresh_token` is available then it should be used to [request a replacement `access_token`](/developers/api/authorization/refresh-token/index.md) before the request is retried.



---
[Read in HTML](/developers/api/authorization/revoke-profile/)